<template>
  <v-app class="serviceMedication">
    <div class="serviceMedication__title">
      <h1>Назначенные услуги</h1>
    </div>

    <v-data-table
        :headers="headers"
        :items="serviceMedications"
        sort-by="id"
        class="serviceMedication__table"
    >
    </v-data-table>
  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "ServiceMedication",
  data() {
    return {
      serviceMedications: [],

      headers: [
        {
          text: 'Услуга',
          value: 'service.name',
          sortable: false
        },
        {
          text: 'Стоимость',
          value: 'service.price',
          sortable: false
        },
        {
          text: 'Количество',
          value: 'count',
          sortable: false
        },

      ]
    }
  },

  mounted() {
    this.fetchServiceMedication(this.$route.params.id)
  },

  methods: {
    async fetchServiceMedication(id) {
      axios
          .get(this.$root.globalVar + '/medication_service/patient/' + id)
          .then(response => this.serviceMedications = response.data)
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
    },
  }
}
</script>

<style lang="scss" scoped>
.serviceMedication {
  &__title {
    margin: 120px 0 50px 0;
    text-align: center;
  }

  &__table {
    width: 60%;
    margin: 0 auto;
  }
}
</style>